<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetRoleResult StructType
 * @subpackage Structs
 */
class GetRoleResult extends ExecutionResult
{
    /**
     * The Roles
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfRoleResult
     */
    public $Roles;
    /**
     * Constructor method for GetRoleResult
     * @uses GetRoleResult::setRoles()
     * @param \ArrayType\ArrayOfRoleResult $roles
     */
    public function __construct(\ArrayType\ArrayOfRoleResult $roles = null)
    {
        $this
            ->setRoles($roles);
    }
    /**
     * Get Roles value
     * @return \ArrayType\ArrayOfRoleResult|null
     */
    public function getRoles()
    {
        return $this->Roles;
    }
    /**
     * Set Roles value
     * @param \ArrayType\ArrayOfRoleResult $roles
     * @return \StructType\GetRoleResult
     */
    public function setRoles(\ArrayType\ArrayOfRoleResult $roles = null)
    {
        $this->Roles = $roles;
        return $this;
    }
}
